You are not logged in.

#1 2012-12-26 23:36:03

dudefellaguy
Member
Registered: 2012-02-08
Posts: 21

Error upgrading graphviz (cannot reproduce)

I got this message while performing a system upgrade today:

[2012-12-26 16:16] upgraded fribidi (0.19.4-1 -> 0.19.5-1)
[2012-12-26 16:16] upgraded graphite (1:1.0.3-1 -> 1:1.2.0-1)
[2012-12-26 16:16] Warning: Could not load "/usr/lib/graphviz/libgvplugin_xlib.so.6" - file not found
[2012-12-26 16:16] Warning: Could not load "/usr/lib/graphviz/libgvplugin_rsvg.so.6" - file not found
[2012-12-26 16:16] Warning: Could not load "/usr/lib/graphviz/libgvplugin_pango.so.6" - file not found
[2012-12-26 16:16] /tmp/alpm_m2htDS/.INSTALL: line 1:  1321 Segmentation fault      (core dumped) usr/bin/dot -c
[2012-12-26 16:16] upgraded graphviz (2.28.0-11 -> 2.28.0-12)
[2012-12-26 16:16] upgraded harfbuzz (0.9.9-1 -> 0.9.9-2)
[2012-12-26 16:16] upgraded i3-wm (4.4-1 -> 4.4-2)

I ran 'pacman -S graphiz' to try to reproduce the error, but it worked fine. I don't know if I should try and report this error, as the software that depends on that library seems to be working fine and I can't reproduce the error.

Offline

#2 2012-12-27 02:58:42

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,670

Re: Error upgrading graphviz (cannot reproduce)

Those should be symlinks, right? Are there any previous errors concerning the package in pacman.log?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#3 2012-12-27 03:56:59

Leonid.I
Member
From: Aethyr
Registered: 2009-03-22
Posts: 949

Re: Error upgrading graphviz (cannot reproduce)

Confirmed:

[2012-12-25 20:59] Warning: Could not load "/usr/lib/graphviz/libgvplugin_gs.so.6" - file not found
[2012-12-25 20:59] /tmp/alpm_Hq4XYw/.INSTALL: line 1: 20637 Segmentation fault      (core dumped) usr/bin/dot -c
[2012-12-25 20:59] upgraded graphviz (2.28.0-11 -> 2.28.0-12)

It seems that the symlink didn't exist prior to upgrade, so somehow dot -c (which is supposed to regenerate plugin cache or something) died with a swgfault. It shouldn't do it, so there is a bug in dot (I don't use it so don't care much). I don't know why we ended uo missing different plugins though...


Arch Linux is more than just GNU/Linux -- it's an adventure

Offline

#4 2012-12-27 06:09:37

dudefellaguy
Member
Registered: 2012-02-08
Posts: 21

Re: Error upgrading graphviz (cannot reproduce)

Yes, those files are symlinks to more specifically named files in the same directory (*.so.6.0.0), and no I have had no other errors with this package, which I have updated 3 times before. I find it strange that there are 6 more shared libraries in the same directory that are all owned by graphviz and they didn't cause any problems.

Offline

Board footer

Powered by FluxBB